Page MenuHomePhabricator

Track duplicate parses on page save
Closed, DeclinedPublic

Description

Given the lazy loading of parsing, it's hard to track what is responsible for duplicate parses during editing. Several hooks (AbuseFilter, SpamBlacklist) and doEditContent() itself call getParserOutput(). The flamegraphs shows the parse happening via most of those hooks, but it doesn't distinguish the "first to call" effect from actual duplicate parses (due to things in AF or vary-* flags from REVISIONID and such).

It would be nice to have a statsd gauge for tracking parses per save to aid in looking for regressions.

Details

Related Gerrit Patches:

Event Timeline

aaron created this task.Aug 9 2017, 7:21 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 9 2017, 7:21 PM
Krinkle added a subscriber: Krinkle.Aug 9 2017, 7:43 PM
aaron triaged this task as Medium priority.Aug 16 2017, 6:53 PM
aaron moved this task from Inbox to Doing on the Performance-Team board.
Imarlier added a subscriber: Imarlier.

Start by adding a log message when this is detected.

Change 444264 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/core@master] [WIP] Track duplicate parses on page save via logging

https://gerrit.wikimedia.org/r/444264

Change 444264 abandoned by Aaron Schulz:
Track duplicate parses on page save via logging

https://gerrit.wikimedia.org/r/444264

aaron closed this task as Declined.Oct 1 2018, 8:52 PM

Closing per comments on patch about MCR refactor.